cURL
curl --request GET \
--url https://api.example.com/v1/projects/{project}/boxesimport requests
url = "https://api.example.com/v1/projects/{project}/boxes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/projects/{project}/boxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"boxes": [
{
"created_at": "<string>",
"id": "<string>",
"name": "<string>",
"project": "<string>",
"status": "<string>",
"updated_at": "<string>",
"base": "<string>",
"config": {
"cpus": 123,
"ram_mb": 123,
"region": "<string>",
"storage_gb": 123
},
"data_mounts": [
{
"name": "<string>",
"ownership": {
"kind": "persistent"
},
"path": "<string>",
"read_only": true
}
],
"environment": {},
"lifecycle": "<string>",
"pack": "<string>",
"pack_rev": "<string>",
"publishes": [
{
"host": "<string>",
"port": 2,
"public": true,
"url": "<string>",
"warning": "<string>"
}
],
"rollback_to": "<string>",
"tags": {},
"termination_grace_period_seconds": 1,
"url_settings": {
"auth": "<string>"
}
}
],
"has_more": true,
"next_continuation_token": "<string>"
}Zomg
Get v1projects boxes
GET
/
v1
/
projects
/
{project}
/
boxes
cURL
Path Parameters
Project name (use '-' for all projects)
Query Parameters
Filter by name prefix
Maximum number of results
Required range:
x >= 0Filter by tags (comma-separated key or key=value)
⌘I